using com.hnshituo.core.webapp.vo;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Common
{
    public class MeterBaseUnloadTimeService
    {
        public RESTfulResult<List<MeterBaseUnloadTime>> doQueryWf(MeterBaseUnloadTime info)
        {
            DbHelper db = new DbHelper();
            RESTfulResult<PageList<List<MeterBaseUnloadTime>>> rm = db.doOption<PageList<List<MeterBaseUnloadTime>>>("meterbaseunloadtimes", "/", new object[] { info }, 0);

            RESTfulResult<List<MeterBaseUnloadTime>> lt = new RESTfulResult<List<MeterBaseUnloadTime>>();
            lt.Succeed = rm.Succeed;
            lt.Message = rm.Message;
            lt.ResultMessage = rm.ResultMessage;
            lt.Data = rm.Data == null ? null : rm.Data.list;

            return lt;
        }
    }
}
